Status: Closed Start date: 26 Nov 2015

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Renaming Estimated time: 0.00 hour

Target version: CoCoALib-0.99540 Feb 2016 Spent time: 0.85 hour

Description

There is an incompatibility between the names in CoCoALib and in CoCoA-5 for the pseudo-ctors for matrices for ordering.  In

CoCoALib the names begin with the prefix Mat whereas in CoCoA-5 they end with the suffix Mat.

Should we resolve this incompatibility?  How?

Related issues:

Related to CoCoALib - Design #311: XelMat, StdDegRevLexMat, ... should be Mat... Closed 14 Feb 2013

History

#1 - 26 Nov 2015 14:21 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

JAA thinks that names such as StdDegRevLexMat read more easily than MatStdDegRevLex, but the names MatXYZ all appear near to each other in

alphabetical ordering.

JAA also observes that the fn ElimMat is called this way in both CoCoALib and CoCoA-5 (and hopefully it does the same thing in both contexts).

Comments?  Opinions?  Ideas?

#2 - 01 Dec 2015 10:41 - John Abbott

Here are some other names.

With SUFFIX Mat:

ZeroMat, IdentityMat, BlockMat, DiagMat, ColMat, RowMat,

NewDenseMat, NewSparseMat (NYI),

OrdMat

With PREFIX Mat:

MatByRows, MatByCols

#3 - 04 Dec 2015 15:18 - John Abbott

After skype with Anna: we prefer the nicer sounding names.

So I'll change the names in CoCoALib so that Mat is a suffix.

#4 - 08 Dec 2015 14:01 - John Abbott
- Assignee set to John Abbott

- % Done changed from 10 to 50

I have renamed the fns and changed all calls -- well, everything compiles.

Will check doc, then check-in.

#5 - 24 Mar 2016 18:01 - Anna Maria Bigatti

- Status changed from In Progress to Closed

- % Done changed from 50 to 100
